#!/bin/bash

#Crear las carpetas por tamaño de icono

mkdir ../16 -p
mkdir ../22 -p
mkdir ../24 -p
mkdir ../32 -p
mkdir ../48 -p

#Convertir los iconos vectoriales (no enlaces) a imagenes png

for f in X-terminal-emulator.svg
do
	NAME=`basename $f .svg`
	if [ ! -L $f ] && [[ $f != *"symbolic.svg" ]]; then
		inkscape -f $f -w 16 -h 16 -e ../16/$NAME.png
		inkscape -f $f -w 22 -h 22 -e ../22/$NAME.png
		inkscape -f $f -w 24 -h 24 -e ../24/$NAME.png
		inkscape -f $f -w 32 -h 32 -e ../32/$NAME.png
		inkscape -f $f -w 48 -h 48 -e ../48/$NAME.png			
	fi	
done

#Convertir los enlaces de iconos vectoriales a enlaces de iconos png

for f in X-terminal-emulator.svg
do
	if [ -L $f ]; then
		REALPATH=`readlink $f`
		NAME=`basename $REALPATH .svg`
		DEST=`basename $f .svg`
		
		cd ../16
		ln -sf $NAME.png $DEST.png		
		cd ../22
		ln -sf $NAME.png $DEST.png		
		cd ../24
		ln -sf $NAME.png $DEST.png		
		cd ../32
		ln -sf $NAME.png $DEST.png		
		cd ../48
		ln -sf $NAME.png $DEST.png
		cd ../scalable
	fi	
done
